function [mean_features,std_features] = feature_mean_std(s1,s2,sys,dia)
    s1_mean = mean(s1,'omitnan');
    s2_mean = mean(s2,'omitnan');
    sys_mean = mean(sys,'omitnan');
    dia_mean = mean(dia,'omitnan');
    mean_features = [s1_mean,s2_mean,sys_mean,dia_mean];
    mean_features(isnan(mean_features))=0;

    s1_std = std(s1,'omitnan');
    s2_std = std(s2,'omitnan');
    sys_std = std(sys,'omitnan');
    dia_std = std(dia,'omitnan');
    std_features = [s1_std,s2_std,sys_std,dia_std];
    std_features(isnan(std_features))=0;
end

