function [aug_features,aug_labels] = augment_data(features,labels)
    features_n1 = nudge_by_std(features);
    features_n2 = nudge_by_std(features);
    features_n3 = nudge_by_std(features);
    
    p_features_n1 = features_n1(labels=='Present',:);
    p_features_n2 = features_n2(labels=='Present',:);
    
    u_features_n1 = features_n1(labels=='Unknown',:);
    u_features_n2 = features_n2(labels=='Unknown',:);
    u_features_n3 = features_n3(labels=='Unknown',:);

    aug_features = [features;p_features_n1;p_features_n2;u_features_n1;u_features_n2;u_features_n3];

    aug_labels = labels;
    
    for k=1:size(p_features_n1,1)*2
        aug_labels = [aug_labels, "Present"];
    end
    for k=1:size(u_features_n1,1)*3
        aug_labels = [aug_labels, "Unknown"];
    end
end

